using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.adp.api.open.service{
	
	
	
	
	
	public class GetByGoodsIdsRequest {
		
		///<summary>
		/// 商品id列表，最多不超过10个
		///</summary>
		
		private List<string> goodsIds_;
		
		///<summary>
		/// 是否查询详情信息：此参数设为true，将查询出商品轮播图和详情图，默认为false
		///</summary>
		
		private bool? queryDetail_;
		
		///<summary>
		/// 是否查询商品库存状态：默认为false
		///</summary>
		
		private bool? queryStock_;
		
		///<summary>
		/// 是否查询商品评价信息：默认为false
		///</summary>
		
		private bool? queryReputation_;
		
		///<summary>
		/// 是否查询商品所属店铺服务能力信息：默认为false
		///</summary>
		
		private bool? queryStoreServiceCapability_;
		
		///<summary>
		/// 是否查询商品活动信息:默认为false
		///</summary>
		
		private bool? queryPMSAct_;
		
		///<summary>
		/// 是否查询商品预付信息:默认为false
		///</summary>
		
		private bool? queryPrepay_;
		
		///<summary>
		/// 用户pid
		///</summary>
		
		private string chanTag_;
		
		///<summary>
		/// 是否按照同spu扩展:此参数为true时，将根据传入的商品id扩展查询出同spu下的所有商品id，默认为false
		///</summary>
		
		private bool? extendBySpu_;
		
		///<summary>
		/// 请求id：调用方自行定义，用于追踪请求，单次请求唯一，建议使用UUID
		///</summary>
		
		private string requestId_;
		
		///<summary>
		/// 商品id对应sizeId集合:指定查询商品id下sizeId对应信息,key为goodsId，value为sizeId(等同于skuId)
		///</summary>
		
		private Dictionary<string, string> sizeIdMap_;
		
		///<summary>
		/// 是否查询渠道专属红包信息： 默认不查询
		///</summary>
		
		private bool? queryExclusiveCoupon_;
		
		///<summary>
		/// 是否扩展查询商品sku信息: 此参数为true时，将根据传入的商品id扩展查询出对应的sku信息，默认为false。指定此参数查询较耗时，建议单个查询，并且业务上避免重复查询场景
		///</summary>
		
		private bool? extendSku_;
		
		///<summary>
		/// 通用参数
		///</summary>
		
		private com.vip.adp.api.open.service.CommonParams commonParams_;
		
		///<summary>
		/// 是否返回cps链接：0-不查询，1-tra_from参数,2-小程序链接，默认为0，查询多个时按照位运算处理，例如：3表示查询tra_from参数+小程序链接
		///</summary>
		
		private int? queryCpsInfo_;
		
		public List<string> GetGoodsIds(){
			return this.goodsIds_;
		}
		
		public void SetGoodsIds(List<string> value){
			this.goodsIds_ = value;
		}
		public bool? GetQueryDetail(){
			return this.queryDetail_;
		}
		
		public void SetQueryDetail(bool? value){
			this.queryDetail_ = value;
		}
		public bool? GetQueryStock(){
			return this.queryStock_;
		}
		
		public void SetQueryStock(bool? value){
			this.queryStock_ = value;
		}
		public bool? GetQueryReputation(){
			return this.queryReputation_;
		}
		
		public void SetQueryReputation(bool? value){
			this.queryReputation_ = value;
		}
		public bool? GetQueryStoreServiceCapability(){
			return this.queryStoreServiceCapability_;
		}
		
		public void SetQueryStoreServiceCapability(bool? value){
			this.queryStoreServiceCapability_ = value;
		}
		public bool? GetQueryPMSAct(){
			return this.queryPMSAct_;
		}
		
		public void SetQueryPMSAct(bool? value){
			this.queryPMSAct_ = value;
		}
		public bool? GetQueryPrepay(){
			return this.queryPrepay_;
		}
		
		public void SetQueryPrepay(bool? value){
			this.queryPrepay_ = value;
		}
		public string GetChanTag(){
			return this.chanTag_;
		}
		
		public void SetChanTag(string value){
			this.chanTag_ = value;
		}
		public bool? GetExtendBySpu(){
			return this.extendBySpu_;
		}
		
		public void SetExtendBySpu(bool? value){
			this.extendBySpu_ = value;
		}
		public string GetRequestId(){
			return this.requestId_;
		}
		
		public void SetRequestId(string value){
			this.requestId_ = value;
		}
		public Dictionary<string, string> GetSizeIdMap(){
			return this.sizeIdMap_;
		}
		
		public void SetSizeIdMap(Dictionary<string, string> value){
			this.sizeIdMap_ = value;
		}
		public bool? GetQueryExclusiveCoupon(){
			return this.queryExclusiveCoupon_;
		}
		
		public void SetQueryExclusiveCoupon(bool? value){
			this.queryExclusiveCoupon_ = value;
		}
		public bool? GetExtendSku(){
			return this.extendSku_;
		}
		
		public void SetExtendSku(bool? value){
			this.extendSku_ = value;
		}
		public com.vip.adp.api.open.service.CommonParams GetCommonParams(){
			return this.commonParams_;
		}
		
		public void SetCommonParams(com.vip.adp.api.open.service.CommonParams value){
			this.commonParams_ = value;
		}
		public int? GetQueryCpsInfo(){
			return this.queryCpsInfo_;
		}
		
		public void SetQueryCpsInfo(int? value){
			this.queryCpsInfo_ = value;
		}
		
	}
	
}