using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.adp.api.open.service{
	
	
	
	
	
	public class GoodsInfo {
		
		///<summary>
		/// 商品id
		///</summary>
		
		private string goodsId_;
		
		///<summary>
		/// 商品名称
		///</summary>
		
		private string goodsName_;
		
		///<summary>
		/// 商品描述,字段暂不输出
		///</summary>
		
		private string goodsDesc_;
		
		///<summary>
		/// 商品落地页
		///</summary>
		
		private string destUrl_;
		
		///<summary>
		/// 商品缩略图
		///</summary>
		
		private string goodsThumbUrl_;
		
		///<summary>
		/// 商品轮播图：根据商品id查询时返回，商品列表不返回
		///</summary>
		
		private List<string> goodsCarouselPictures_;
		
		///<summary>
		/// 商品主图
		///</summary>
		
		private string goodsMainPicture_;
		
		///<summary>
		/// 商品三级分类id
		///</summary>
		
		private long? categoryId_;
		
		///<summary>
		/// 商品三级分类
		///</summary>
		
		private string categoryName_;
		
		///<summary>
		/// 商品类型：0-自营，1-MP
		///</summary>
		
		private int? sourceType_;
		
		///<summary>
		/// 市场价（元）
		///</summary>
		
		private string marketPrice_;
		
		///<summary>
		/// 唯品价（元）
		///</summary>
		
		private string vipPrice_;
		
		///<summary>
		/// 佣金比例（%）
		///</summary>
		
		private string commissionRate_;
		
		///<summary>
		/// 佣金金额（元）
		///</summary>
		
		private string commission_;
		
		///<summary>
		/// 折扣:唯品价/市场价 保留两位小数字符串
		///</summary>
		
		private string discount_;
		
		///<summary>
		/// 商品详情图片：根据商品id查询商品信息时返回，商品列表不返回
		///</summary>
		
		private List<string> goodsDetailPictures_;
		
		///<summary>
		/// 商品一级分类id
		///</summary>
		
		private long? cat1stId_;
		
		///<summary>
		/// 商品一级分类名称
		///</summary>
		
		private string cat1stName_;
		
		///<summary>
		/// 商品二级分类id
		///</summary>
		
		private long? cat2ndId_;
		
		///<summary>
		/// 商品二级分类名称
		///</summary>
		
		private string cat2ndName_;
		
		///<summary>
		/// 商品品牌sn
		///</summary>
		
		private string brandStoreSn_;
		
		///<summary>
		/// 商品品牌名称
		///</summary>
		
		private string brandName_;
		
		///<summary>
		/// 商品品牌logo全路径地址
		///</summary>
		
		private string brandLogoFull_;
		
		///<summary>
		/// 商品推广计划有效期预估截止时间：仅为预估时间，仅做参考；时间戳，单位：毫秒
		///</summary>
		
		private long? schemeEndTime_;
		
		///<summary>
		/// 商品售卖开始时间,时间戳，单位毫秒
		///</summary>
		
		private long? sellTimeFrom_;
		
		///<summary>
		/// 商品售卖结束时间,时间戳, 单位毫秒
		///</summary>
		
		private long? sellTimeTo_;
		
		///<summary>
		/// 推广权重，用于确定推广该商品的优先级，权重值越大，优先级越高
		///</summary>
		
		private int? weight_;
		
		///<summary>
		/// 店铺信息
		///</summary>
		
		private com.vip.adp.api.open.service.StoreInfo storeInfo_;
		
		///<summary>
		/// 商品评价信息
		///</summary>
		
		private com.vip.adp.api.open.service.GoodsCommentsInfo commentsInfo_;
		
		///<summary>
		/// 商品所属店铺服务能力评价
		///</summary>
		
		private com.vip.adp.api.open.service.StoreServiceCapability storeServiceCapability_;
		
		///<summary>
		/// 商品所属档期（专场）id
		///</summary>
		
		private long? brandId_;
		
		///<summary>
		/// 商品所属推广方案开始时间：时间戳，单位：毫秒
		///</summary>
		
		private long? schemeStartTime_;
		
		///<summary>
		/// 商品库存状态：1-已抢光，2-有库存，3-有机会,当列表查询库存或者查询商品详情时返回
		///</summary>
		
		private int? saleStockStatus_;
		
		///<summary>
		/// 商品状态：0-下架，1-上架
		///</summary>
		
		private int? status_;
		
		///<summary>
		/// 商品预付信息
		///</summary>
		
		private com.vip.adp.api.open.service.PrepayInfo prepayInfo_;
		
		///<summary>
		/// 商品参与活动信息:未参与活动集合为空
		///</summary>
		
		private List<com.vip.adp.api.open.service.ActivityInfo> joinedActivities_;
		
		///<summary>
		/// 红包信息
		///</summary>
		
		private com.vip.adp.common.service.PMSCouponInfo couponInfo_;
		
		///<summary>
		/// 是否海淘商品标识：1是  0不是
		///</summary>
		
		private int? haiTao_;
		
		///<summary>
		/// 商品spuId
		///</summary>
		
		private string spuId_;
		
		///<summary>
		/// 同spuId扩展商品id: 新版详情接口返回，其余接口不返回该字段
		///</summary>
		
		private List<string> goodsIdsWithSameSpu_;
		
		///<summary>
		/// 对应sku信息
		///</summary>
		
		private List<com.vip.adp.api.open.service.GoodsSkuInfo> skuInfos_;
		
		///<summary>
		/// 渠道专属红包：目前仅开放单品券，没有则返回空
		///</summary>
		
		private com.vip.adp.api.open.service.ChannelExclusiveCoupon exclusiveCoupon_;
		
		///<summary>
		/// cps推广信息：目前只返回小程序链接和通用追踪参数，其他链接请移步转链接口,1-通用推广参数(tra_from)，2-唯品会微信小程序链接
		///</summary>
		
		private Dictionary<int?, string> cpsInfo_;
		
		///<summary>
		/// 商品货号/商品原编号
		///</summary>
		
		private string sn_;
		
		public string GetGoodsId(){
			return this.goodsId_;
		}
		
		public void SetGoodsId(string value){
			this.goodsId_ = value;
		}
		public string GetGoodsName(){
			return this.goodsName_;
		}
		
		public void SetGoodsName(string value){
			this.goodsName_ = value;
		}
		public string GetGoodsDesc(){
			return this.goodsDesc_;
		}
		
		public void SetGoodsDesc(string value){
			this.goodsDesc_ = value;
		}
		public string GetDestUrl(){
			return this.destUrl_;
		}
		
		public void SetDestUrl(string value){
			this.destUrl_ = value;
		}
		public string GetGoodsThumbUrl(){
			return this.goodsThumbUrl_;
		}
		
		public void SetGoodsThumbUrl(string value){
			this.goodsThumbUrl_ = value;
		}
		public List<string> GetGoodsCarouselPictures(){
			return this.goodsCarouselPictures_;
		}
		
		public void SetGoodsCarouselPictures(List<string> value){
			this.goodsCarouselPictures_ = value;
		}
		public string GetGoodsMainPicture(){
			return this.goodsMainPicture_;
		}
		
		public void SetGoodsMainPicture(string value){
			this.goodsMainPicture_ = value;
		}
		public long? GetCategoryId(){
			return this.categoryId_;
		}
		
		public void SetCategoryId(long? value){
			this.categoryId_ = value;
		}
		public string GetCategoryName(){
			return this.categoryName_;
		}
		
		public void SetCategoryName(string value){
			this.categoryName_ = value;
		}
		public int? GetSourceType(){
			return this.sourceType_;
		}
		
		public void SetSourceType(int? value){
			this.sourceType_ = value;
		}
		public string GetMarketPrice(){
			return this.marketPrice_;
		}
		
		public void SetMarketPrice(string value){
			this.marketPrice_ = value;
		}
		public string GetVipPrice(){
			return this.vipPrice_;
		}
		
		public void SetVipPrice(string value){
			this.vipPrice_ = value;
		}
		public string GetCommissionRate(){
			return this.commissionRate_;
		}
		
		public void SetCommissionRate(string value){
			this.commissionRate_ = value;
		}
		public string GetCommission(){
			return this.commission_;
		}
		
		public void SetCommission(string value){
			this.commission_ = value;
		}
		public string GetDiscount(){
			return this.discount_;
		}
		
		public void SetDiscount(string value){
			this.discount_ = value;
		}
		public List<string> GetGoodsDetailPictures(){
			return this.goodsDetailPictures_;
		}
		
		public void SetGoodsDetailPictures(List<string> value){
			this.goodsDetailPictures_ = value;
		}
		public long? GetCat1stId(){
			return this.cat1stId_;
		}
		
		public void SetCat1stId(long? value){
			this.cat1stId_ = value;
		}
		public string GetCat1stName(){
			return this.cat1stName_;
		}
		
		public void SetCat1stName(string value){
			this.cat1stName_ = value;
		}
		public long? GetCat2ndId(){
			return this.cat2ndId_;
		}
		
		public void SetCat2ndId(long? value){
			this.cat2ndId_ = value;
		}
		public string GetCat2ndName(){
			return this.cat2ndName_;
		}
		
		public void SetCat2ndName(string value){
			this.cat2ndName_ = value;
		}
		public string GetBrandStoreSn(){
			return this.brandStoreSn_;
		}
		
		public void SetBrandStoreSn(string value){
			this.brandStoreSn_ = value;
		}
		public string GetBrandName(){
			return this.brandName_;
		}
		
		public void SetBrandName(string value){
			this.brandName_ = value;
		}
		public string GetBrandLogoFull(){
			return this.brandLogoFull_;
		}
		
		public void SetBrandLogoFull(string value){
			this.brandLogoFull_ = value;
		}
		public long? GetSchemeEndTime(){
			return this.schemeEndTime_;
		}
		
		public void SetSchemeEndTime(long? value){
			this.schemeEndTime_ = value;
		}
		public long? GetSellTimeFrom(){
			return this.sellTimeFrom_;
		}
		
		public void SetSellTimeFrom(long? value){
			this.sellTimeFrom_ = value;
		}
		public long? GetSellTimeTo(){
			return this.sellTimeTo_;
		}
		
		public void SetSellTimeTo(long? value){
			this.sellTimeTo_ = value;
		}
		public int? GetWeight(){
			return this.weight_;
		}
		
		public void SetWeight(int? value){
			this.weight_ = value;
		}
		public com.vip.adp.api.open.service.StoreInfo GetStoreInfo(){
			return this.storeInfo_;
		}
		
		public void SetStoreInfo(com.vip.adp.api.open.service.StoreInfo value){
			this.storeInfo_ = value;
		}
		public com.vip.adp.api.open.service.GoodsCommentsInfo GetCommentsInfo(){
			return this.commentsInfo_;
		}
		
		public void SetCommentsInfo(com.vip.adp.api.open.service.GoodsCommentsInfo value){
			this.commentsInfo_ = value;
		}
		public com.vip.adp.api.open.service.StoreServiceCapability GetStoreServiceCapability(){
			return this.storeServiceCapability_;
		}
		
		public void SetStoreServiceCapability(com.vip.adp.api.open.service.StoreServiceCapability value){
			this.storeServiceCapability_ = value;
		}
		public long? GetBrandId(){
			return this.brandId_;
		}
		
		public void SetBrandId(long? value){
			this.brandId_ = value;
		}
		public long? GetSchemeStartTime(){
			return this.schemeStartTime_;
		}
		
		public void SetSchemeStartTime(long? value){
			this.schemeStartTime_ = value;
		}
		public int? GetSaleStockStatus(){
			return this.saleStockStatus_;
		}
		
		public void SetSaleStockStatus(int? value){
			this.saleStockStatus_ = value;
		}
		public int? GetStatus(){
			return this.status_;
		}
		
		public void SetStatus(int? value){
			this.status_ = value;
		}
		public com.vip.adp.api.open.service.PrepayInfo GetPrepayInfo(){
			return this.prepayInfo_;
		}
		
		public void SetPrepayInfo(com.vip.adp.api.open.service.PrepayInfo value){
			this.prepayInfo_ = value;
		}
		public List<com.vip.adp.api.open.service.ActivityInfo> GetJoinedActivities(){
			return this.joinedActivities_;
		}
		
		public void SetJoinedActivities(List<com.vip.adp.api.open.service.ActivityInfo> value){
			this.joinedActivities_ = value;
		}
		public com.vip.adp.common.service.PMSCouponInfo GetCouponInfo(){
			return this.couponInfo_;
		}
		
		public void SetCouponInfo(com.vip.adp.common.service.PMSCouponInfo value){
			this.couponInfo_ = value;
		}
		public int? GetHaiTao(){
			return this.haiTao_;
		}
		
		public void SetHaiTao(int? value){
			this.haiTao_ = value;
		}
		public string GetSpuId(){
			return this.spuId_;
		}
		
		public void SetSpuId(string value){
			this.spuId_ = value;
		}
		public List<string> GetGoodsIdsWithSameSpu(){
			return this.goodsIdsWithSameSpu_;
		}
		
		public void SetGoodsIdsWithSameSpu(List<string> value){
			this.goodsIdsWithSameSpu_ = value;
		}
		public List<com.vip.adp.api.open.service.GoodsSkuInfo> GetSkuInfos(){
			return this.skuInfos_;
		}
		
		public void SetSkuInfos(List<com.vip.adp.api.open.service.GoodsSkuInfo> value){
			this.skuInfos_ = value;
		}
		public com.vip.adp.api.open.service.ChannelExclusiveCoupon GetExclusiveCoupon(){
			return this.exclusiveCoupon_;
		}
		
		public void SetExclusiveCoupon(com.vip.adp.api.open.service.ChannelExclusiveCoupon value){
			this.exclusiveCoupon_ = value;
		}
		public Dictionary<int?, string> GetCpsInfo(){
			return this.cpsInfo_;
		}
		
		public void SetCpsInfo(Dictionary<int?, string> value){
			this.cpsInfo_ = value;
		}
		public string GetSn(){
			return this.sn_;
		}
		
		public void SetSn(string value){
			this.sn_ = value;
		}
		
	}
	
}