using System;
using System.Collections.Generic;
using System.Text;
using Osp.Sdk.Base;
using Osp.Sdk.Protocol;

namespace com.vip.api.ubc.facade.oauth{
	
	
	public class OauthFacadeHelper {
		
		
		
		public class getAccessToken_args {
			
			///<summary>
			/// 授权模式，目前仅支持authorization_code
			///</summary>
			
			private string grant_type_;
			
			///<summary>
			/// 授权流程颁发的code码
			///</summary>
			
			private string auth_code_;
			
			///<summary>
			/// 客户端ID，唯品会开放平台分配给应用的唯一标识
			///</summary>
			
			private string client_id_;
			
			///<summary>
			/// 客户端秘钥，唯品会开放平台分配的秘钥
			///</summary>
			
			private string client_secret_;
			
			///<summary>
			/// 回调地址，可以不传，传入进行安全校验，不传入不影响调用
			///</summary>
			
			private string redirect_url_;
			
			public string GetGrant_type(){
				return this.grant_type_;
			}
			
			public void SetGrant_type(string value){
				this.grant_type_ = value;
			}
			public string GetAuth_code(){
				return this.auth_code_;
			}
			
			public void SetAuth_code(string value){
				this.auth_code_ = value;
			}
			public string GetClient_id(){
				return this.client_id_;
			}
			
			public void SetClient_id(string value){
				this.client_id_ = value;
			}
			public string GetClient_secret(){
				return this.client_secret_;
			}
			
			public void SetClient_secret(string value){
				this.client_secret_ = value;
			}
			public string GetRedirect_url(){
				return this.redirect_url_;
			}
			
			public void SetRedirect_url(string value){
				this.redirect_url_ = value;
			}
			
		}
		
		
		
		
		public class getUserInfo_args {
			
			///<summary>
			/// 客户端ID，唯品会开放平台分配给应用的唯一标识
			///</summary>
			
			private string client_id_;
			
			///<summary>
			/// 唯品会对外授权token
			///</summary>
			
			private string out_access_token_;
			
			///<summary>
			/// 唯品会用户对外标识id
			///</summary>
			
			private string open_id_;
			
			public string GetClient_id(){
				return this.client_id_;
			}
			
			public void SetClient_id(string value){
				this.client_id_ = value;
			}
			public string GetOut_access_token(){
				return this.out_access_token_;
			}
			
			public void SetOut_access_token(string value){
				this.out_access_token_ = value;
			}
			public string GetOpen_id(){
				return this.open_id_;
			}
			
			public void SetOpen_id(string value){
				this.open_id_ = value;
			}
			
		}
		
		
		
		
		public class healthCheck_args {
			
			
		}
		
		
		
		
		public class getAccessToken_result {
			
			///<summary>
			///</summary>
			
			private com.vip.api.ubc.facade.oauth.GetAccessTokenResponse success_;
			
			public com.vip.api.ubc.facade.oauth.GetAccessTokenResponse GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.api.ubc.facade.oauth.GetAccessTokenResponse value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class getUserInfo_result {
			
			///<summary>
			///</summary>
			
			private com.vip.api.ubc.facade.oauth.GetUserInfoResponse success_;
			
			public com.vip.api.ubc.facade.oauth.GetUserInfoResponse GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.api.ubc.facade.oauth.GetUserInfoResponse value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		public class healthCheck_result {
			
			///<summary>
			///</summary>
			
			private com.vip.hermes.core.health.CheckResult success_;
			
			public com.vip.hermes.core.health.CheckResult GetSuccess(){
				return this.success_;
			}
			
			public void SetSuccess(com.vip.hermes.core.health.CheckResult value){
				this.success_ = value;
			}
			
		}
		
		
		
		
		
		public class getAccessToken_argsHelper : TBeanSerializer<getAccessToken_args>
		{
			
			public static getAccessToken_argsHelper OBJ = new getAccessToken_argsHelper();
			
			public static getAccessToken_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getAccessToken_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetGrant_type(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetAuth_code(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetClient_id(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetClient_secret(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetRedirect_url(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getAccessToken_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetGrant_type() != null) {
					
					oprot.WriteFieldBegin("grant_type");
					oprot.WriteString(structs.GetGrant_type());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("grant_type can not be null!");
				}
				
				
				if(structs.GetAuth_code() != null) {
					
					oprot.WriteFieldBegin("auth_code");
					oprot.WriteString(structs.GetAuth_code());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("auth_code can not be null!");
				}
				
				
				if(structs.GetClient_id() != null) {
					
					oprot.WriteFieldBegin("client_id");
					oprot.WriteString(structs.GetClient_id());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("client_id can not be null!");
				}
				
				
				if(structs.GetClient_secret() != null) {
					
					oprot.WriteFieldBegin("client_secret");
					oprot.WriteString(structs.GetClient_secret());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("client_secret can not be null!");
				}
				
				
				if(structs.GetRedirect_url() != null) {
					
					oprot.WriteFieldBegin("redirect_url");
					oprot.WriteString(structs.GetRedirect_url());
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getAccessToken_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getUserInfo_argsHelper : TBeanSerializer<getUserInfo_args>
		{
			
			public static getUserInfo_argsHelper OBJ = new getUserInfo_argsHelper();
			
			public static getUserInfo_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getUserInfo_args structs, Protocol iprot){
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetClient_id(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetOut_access_token(value);
				}
				
				
				
				
				
				if(true){
					
					string value;
					value = iprot.ReadString();
					
					structs.SetOpen_id(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getUserInfo_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetClient_id() != null) {
					
					oprot.WriteFieldBegin("client_id");
					oprot.WriteString(structs.GetClient_id());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("client_id can not be null!");
				}
				
				
				if(structs.GetOut_access_token() != null) {
					
					oprot.WriteFieldBegin("out_access_token");
					oprot.WriteString(structs.GetOut_access_token());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("out_access_token can not be null!");
				}
				
				
				if(structs.GetOpen_id() != null) {
					
					oprot.WriteFieldBegin("open_id");
					oprot.WriteString(structs.GetOpen_id());
					
					oprot.WriteFieldEnd();
				}
				
				else{
					throw new ArgumentException("open_id can not be null!");
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getUserInfo_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class healthCheck_argsHelper : TBeanSerializer<healthCheck_args>
		{
			
			public static healthCheck_argsHelper OBJ = new healthCheck_argsHelper();
			
			public static healthCheck_argsHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(healthCheck_args structs, Protocol iprot){
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(healthCheck_args structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(healthCheck_args bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getAccessToken_resultHelper : TBeanSerializer<getAccessToken_result>
		{
			
			public static getAccessToken_resultHelper OBJ = new getAccessToken_resultHelper();
			
			public static getAccessToken_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getAccessToken_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.api.ubc.facade.oauth.GetAccessTokenResponse value;
					
					value = new com.vip.api.ubc.facade.oauth.GetAccessTokenResponse();
					com.vip.api.ubc.facade.oauth.GetAccessTokenResponseHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getAccessToken_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.api.ubc.facade.oauth.GetAccessTokenResponseHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getAccessToken_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class getUserInfo_resultHelper : TBeanSerializer<getUserInfo_result>
		{
			
			public static getUserInfo_resultHelper OBJ = new getUserInfo_resultHelper();
			
			public static getUserInfo_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(getUserInfo_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.api.ubc.facade.oauth.GetUserInfoResponse value;
					
					value = new com.vip.api.ubc.facade.oauth.GetUserInfoResponse();
					com.vip.api.ubc.facade.oauth.GetUserInfoResponseHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(getUserInfo_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.api.ubc.facade.oauth.GetUserInfoResponseHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(getUserInfo_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class healthCheck_resultHelper : TBeanSerializer<healthCheck_result>
		{
			
			public static healthCheck_resultHelper OBJ = new healthCheck_resultHelper();
			
			public static healthCheck_resultHelper getInstance() {
				
				return OBJ;
			}
			
			
			public void Read(healthCheck_result structs, Protocol iprot){
				
				
				
				
				if(true){
					
					com.vip.hermes.core.health.CheckResult value;
					
					value = new com.vip.hermes.core.health.CheckResult();
					com.vip.hermes.core.health.CheckResultHelper.getInstance().Read(value, iprot);
					
					structs.SetSuccess(value);
				}
				
				
				
				
				Validate(structs);
				
			}
			
			
			public void Write(healthCheck_result structs, Protocol oprot){
				
				Validate(structs);
				oprot.WriteStructBegin();
				
				if(structs.GetSuccess() != null) {
					
					oprot.WriteFieldBegin("success");
					
					com.vip.hermes.core.health.CheckResultHelper.getInstance().Write(structs.GetSuccess(), oprot);
					
					oprot.WriteFieldEnd();
				}
				
				
				oprot.WriteFieldStop();
				oprot.WriteStructEnd();
			}
			
			
			public void Validate(healthCheck_result bean){
				
				
			}
			
			
		}
		
		
		
		
		public class OauthFacadeClient : OspRestStub , OauthFacade  {
			
			
			public OauthFacadeClient():base("com.vip.api.ubc.facade.oauth.OauthFacade","1.0.0") {
				
				
			}
			
			
			
			public com.vip.api.ubc.facade.oauth.GetAccessTokenResponse getAccessToken(string grant_type_,string auth_code_,string client_id_,string client_secret_,string redirect_url_) {
				
				send_getAccessToken(grant_type_,auth_code_,client_id_,client_secret_,redirect_url_);
				return recv_getAccessToken(); 
				
			}
			
			
			private void send_getAccessToken(string grant_type_,string auth_code_,string client_id_,string client_secret_,string redirect_url_){
				
				InitInvocation("getAccessToken");
				
				getAccessToken_args args = new getAccessToken_args();
				args.SetGrant_type(grant_type_);
				args.SetAuth_code(auth_code_);
				args.SetClient_id(client_id_);
				args.SetClient_secret(client_secret_);
				args.SetRedirect_url(redirect_url_);
				
				SendBase(args, getAccessToken_argsHelper.getInstance());
			}
			
			
			private com.vip.api.ubc.facade.oauth.GetAccessTokenResponse recv_getAccessToken(){
				
				getAccessToken_result result = new getAccessToken_result();
				ReceiveBase(result, getAccessToken_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.api.ubc.facade.oauth.GetUserInfoResponse getUserInfo(string client_id_,string out_access_token_,string open_id_) {
				
				send_getUserInfo(client_id_,out_access_token_,open_id_);
				return recv_getUserInfo(); 
				
			}
			
			
			private void send_getUserInfo(string client_id_,string out_access_token_,string open_id_){
				
				InitInvocation("getUserInfo");
				
				getUserInfo_args args = new getUserInfo_args();
				args.SetClient_id(client_id_);
				args.SetOut_access_token(out_access_token_);
				args.SetOpen_id(open_id_);
				
				SendBase(args, getUserInfo_argsHelper.getInstance());
			}
			
			
			private com.vip.api.ubc.facade.oauth.GetUserInfoResponse recv_getUserInfo(){
				
				getUserInfo_result result = new getUserInfo_result();
				ReceiveBase(result, getUserInfo_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
			public com.vip.hermes.core.health.CheckResult healthCheck() {
				
				send_healthCheck();
				return recv_healthCheck(); 
				
			}
			
			
			private void send_healthCheck(){
				
				InitInvocation("healthCheck");
				
				healthCheck_args args = new healthCheck_args();
				
				SendBase(args, healthCheck_argsHelper.getInstance());
			}
			
			
			private com.vip.hermes.core.health.CheckResult recv_healthCheck(){
				
				healthCheck_result result = new healthCheck_result();
				ReceiveBase(result, healthCheck_resultHelper.getInstance());
				
				return result.GetSuccess();
				
			}
			
			
		}
		
		
	}
	
}