using System;
using System.Collections.Generic;
using System.Text;
using Osp.Sdk.Base;
using Osp.Sdk.Protocol;
using Osp.Sdk.Exception;
namespace com.vip.category.service{
	
	
	
	public class CategoryHelper : TBeanSerializer<Category>
	{
		
		public static CategoryHelper OBJ = new CategoryHelper();
		
		public static CategoryHelper getInstance() {
			
			return OBJ;
		}
		
		
		public void Read(Category structs, Protocol iprot){
			
			
			String schemeStruct = iprot.ReadStructBegin();
			if(schemeStruct != null){
				
				while(true){
					
					String schemeField = iprot.ReadFieldBegin();
					if (schemeField == null) break;
					bool needSkip = true;
					
					
					if ("categoryId".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetCategoryId(value);
					}
					
					
					
					
					
					if ("name".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetName(value);
					}
					
					
					
					
					
					if ("englishname".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetEnglishname(value);
					}
					
					
					
					
					
					if ("description".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetDescription(value);
					}
					
					
					
					
					
					if ("type".Equals(schemeField.Trim())){
						
						needSkip = false;
						com.vip.category.service.CategoryType? value;
						
						value = com.vip.category.service.CategoryTypeUtil.FindByName(iprot.ReadString());
						
						structs.SetType(value);
					}
					
					
					
					
					
					if ("keywords".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetKeywords(value);
					}
					
					
					
					
					
					if ("hierarchyId".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetHierarchyId(value);
					}
					
					
					
					
					
					if ("lastUpdateTime".Equals(schemeField.Trim())){
						
						needSkip = false;
						long value;
						value = iprot.ReadI64(); 
						
						structs.SetLastUpdateTime(value);
					}
					
					
					
					
					
					if ("majorParentCategoryid".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetMajorParentCategoryid(value);
					}
					
					
					
					
					
					if ("foreignname".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetForeignname(value);
					}
					
					
					
					
					
					if ("maxsalenum".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetMaxsalenum(value);
					}
					
					
					
					
					
					if ("minisalenum".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetMinisalenum(value);
					}
					
					
					
					
					
					if ("showType".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetShowType(value);
					}
					
					
					
					
					
					if ("timeLineId".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetTimeLineId(value);
					}
					
					
					
					
					
					if ("status".Equals(schemeField.Trim())){
						
						needSkip = false;
						byte? value;
						value = iprot.ReadByte(); 
						
						structs.SetStatus(value);
					}
					
					
					
					
					
					if ("categoryPaths".Equals(schemeField.Trim())){
						
						needSkip = false;
						List<com.vip.category.service.CategoryPath> value;
						
						value = new List<com.vip.category.service.CategoryPath>();
						iprot.ReadListBegin();
						while(true){
							
							try{
								
								com.vip.category.service.CategoryPath elem0;
								
								elem0 = new com.vip.category.service.CategoryPath();
								com.vip.category.service.CategoryPathHelper.getInstance().Read(elem0, iprot);
								
								value.Add(elem0);
							}
							catch(Exception e){
								
								
								break;
							}
						}
						
						iprot.ReadListEnd();
						
						structs.SetCategoryPaths(value);
					}
					
					
					
					
					if(needSkip){
						
						ProtocolUtil.skip(iprot);
					}
					
					iprot.ReadFieldEnd();
				}
				
				iprot.ReadStructEnd();
				Validate(structs);
			}
			else{
				
				throw new OspException();
			}
			
			
		}
		
		
		public void Write(Category structs, Protocol oprot){
			
			Validate(structs);
			oprot.WriteStructBegin();
			
			if(structs.GetCategoryId() != null) {
				
				oprot.WriteFieldBegin("categoryId");
				oprot.WriteI32((int)structs.GetCategoryId()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("categoryId can not be null!");
			}
			
			
			if(structs.GetName() != null) {
				
				oprot.WriteFieldBegin("name");
				oprot.WriteString(structs.GetName());
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("name can not be null!");
			}
			
			
			if(structs.GetEnglishname() != null) {
				
				oprot.WriteFieldBegin("englishname");
				oprot.WriteString(structs.GetEnglishname());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetDescription() != null) {
				
				oprot.WriteFieldBegin("description");
				oprot.WriteString(structs.GetDescription());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetType() != null) {
				
				oprot.WriteFieldBegin("type");
				oprot.WriteString(structs.GetType().ToString());  
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("type can not be null!");
			}
			
			
			if(structs.GetKeywords() != null) {
				
				oprot.WriteFieldBegin("keywords");
				oprot.WriteString(structs.GetKeywords());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetHierarchyId() != null) {
				
				oprot.WriteFieldBegin("hierarchyId");
				oprot.WriteI32((int)structs.GetHierarchyId()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("hierarchyId can not be null!");
			}
			
			
			if(structs.GetLastUpdateTime() != null) {
				
				oprot.WriteFieldBegin("lastUpdateTime");
				oprot.WriteI64((long)structs.GetLastUpdateTime()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("lastUpdateTime can not be null!");
			}
			
			
			if(structs.GetMajorParentCategoryid() != null) {
				
				oprot.WriteFieldBegin("majorParentCategoryid");
				oprot.WriteI32((int)structs.GetMajorParentCategoryid()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetForeignname() != null) {
				
				oprot.WriteFieldBegin("foreignname");
				oprot.WriteString(structs.GetForeignname());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetMaxsalenum() != null) {
				
				oprot.WriteFieldBegin("maxsalenum");
				oprot.WriteI32((int)structs.GetMaxsalenum()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetMinisalenum() != null) {
				
				oprot.WriteFieldBegin("minisalenum");
				oprot.WriteI32((int)structs.GetMinisalenum()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetShowType() != null) {
				
				oprot.WriteFieldBegin("showType");
				oprot.WriteI32((int)structs.GetShowType()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetTimeLineId() != null) {
				
				oprot.WriteFieldBegin("timeLineId");
				oprot.WriteI32((int)structs.GetTimeLineId()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetStatus() != null) {
				
				oprot.WriteFieldBegin("status");
				oprot.WriteByte((byte)structs.GetStatus()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetCategoryPaths() != null) {
				
				oprot.WriteFieldBegin("categoryPaths");
				
				oprot.WriteListBegin();
				foreach(com.vip.category.service.CategoryPath _item0 in structs.GetCategoryPaths()){
					
					
					com.vip.category.service.CategoryPathHelper.getInstance().Write(_item0, oprot);
					
				}
				
				oprot.WriteListEnd();
				
				oprot.WriteFieldEnd();
			}
			
			
			oprot.WriteFieldStop();
			oprot.WriteStructEnd();
		}
		
		
		public void Validate(Category bean){
			
			
		}
		
	}
	
}