using System;

namespace com.vip.category.service{
	
	
	public enum CharacterSetUsedType {
		
		
		///<summary>
		/// 品类专用（不能继承、不共享）
		///</summary>
		Category_Special = 0, 
		
		///<summary>
		/// 发布导航目录专用（不共享）
		///</summary>
		Publish_Hierarchy_Special = 1, 
		
		///<summary>
		/// 展示导航使用 
		///</summary>
		View_Hierarchy_Used = 2 
	}
	
	public class CharacterSetUsedTypeUtil{
		
		private readonly int value;
		private CharacterSetUsedTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static CharacterSetUsedType? FindByValue(int value){
			
			switch(value){
				
				case 0: return CharacterSetUsedType.Category_Special; 
				case 1: return CharacterSetUsedType.Publish_Hierarchy_Special; 
				case 2: return CharacterSetUsedType.View_Hierarchy_Used; 
				
				default: return null; 
				
			}
			
		}
		
		public static CharacterSetUsedType? FindByName(string name){
			
			if(CharacterSetUsedType.Category_Special.ToString().Equals(name)){
				
				return CharacterSetUsedType.Category_Special; 
			}
			
			if(CharacterSetUsedType.Publish_Hierarchy_Special.ToString().Equals(name)){
				
				return CharacterSetUsedType.Publish_Hierarchy_Special; 
			}
			
			if(CharacterSetUsedType.View_Hierarchy_Used.ToString().Equals(name)){
				
				return CharacterSetUsedType.View_Hierarchy_Used; 
			}
			
			
			return null;
			
		}
		
	}
	
}