using System;

namespace com.vip.category.service{
	
	
	public enum DataType {
		
		
		///<summary>
		/// 自由文本，约定不包括英文标点符号
		///</summary>
		Text = 0, 
		
		///<summary>
		/// 数值类型
		///</summary>
		Numeric = 1, 
		
		///<summary>
		/// 选项类型
		///</summary>
		Option = 2, 
		
		///<summary>
		/// 布尔类型 
		///</summary>
		Bumble = 3, 
		
		///<summary>
		/// 图片类型
		///</summary>
		Picture = 4 
	}
	
	public class DataTypeUtil{
		
		private readonly int value;
		private DataTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static DataType? FindByValue(int value){
			
			switch(value){
				
				case 0: return DataType.Text; 
				case 1: return DataType.Numeric; 
				case 2: return DataType.Option; 
				case 3: return DataType.Bumble; 
				case 4: return DataType.Picture; 
				
				default: return null; 
				
			}
			
		}
		
		public static DataType? FindByName(string name){
			
			if(DataType.Text.ToString().Equals(name)){
				
				return DataType.Text; 
			}
			
			if(DataType.Numeric.ToString().Equals(name)){
				
				return DataType.Numeric; 
			}
			
			if(DataType.Option.ToString().Equals(name)){
				
				return DataType.Option; 
			}
			
			if(DataType.Bumble.ToString().Equals(name)){
				
				return DataType.Bumble; 
			}
			
			if(DataType.Picture.ToString().Equals(name)){
				
				return DataType.Picture; 
			}
			
			
			return null;
			
		}
		
	}
	
}