using System;

namespace com.vip.imp.otd.otdapi.service{
	
	
	public enum VopAccountType {
		
		
		///<summary>
		/// 移动精选
		///</summary>
		VTD_ACCOUNT = 1, 
		
		///<summary>
		/// 腾讯
		///</summary>
		TENCENT_ACCOUNT = 2, 
		
		///<summary>
		/// 巨量引擎
		///</summary>
		TOUTIAO_ACCOUNT = 6, 
		
		///<summary>
		/// 唯智展
		///</summary>
		VIP_ADS_ACCOUNT = 99, 
		
		///<summary>
		/// 达人卖货
		///</summary>
		WXK_ACCOUNT = 100, 
		
		///<summary>
		/// 线下直投
		///</summary>
		OFFDIRECT_ACCOUNT = 101, 
		
		///<summary>
		/// 唯触点
		///</summary>
		VIP_VRM_ACCOUNT = 103, 
		
		///<summary>
		/// 唯直达
		///</summary>
		VIP_VSM_ACCOUNT = 104 
	}
	
	public class VopAccountTypeUtil{
		
		private readonly int value;
		private VopAccountTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static VopAccountType? FindByValue(int value){
			
			switch(value){
				
				case 1: return VopAccountType.VTD_ACCOUNT; 
				case 2: return VopAccountType.TENCENT_ACCOUNT; 
				case 6: return VopAccountType.TOUTIAO_ACCOUNT; 
				case 99: return VopAccountType.VIP_ADS_ACCOUNT; 
				case 100: return VopAccountType.WXK_ACCOUNT; 
				case 101: return VopAccountType.OFFDIRECT_ACCOUNT; 
				case 103: return VopAccountType.VIP_VRM_ACCOUNT; 
				case 104: return VopAccountType.VIP_VSM_ACCOUNT; 
				
				default: return null; 
				
			}
			
		}
		
		public static VopAccountType? FindByName(string name){
			
			if(VopAccountType.VTD_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.VTD_ACCOUNT; 
			}
			
			if(VopAccountType.TENCENT_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.TENCENT_ACCOUNT; 
			}
			
			if(VopAccountType.TOUTIAO_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.TOUTIAO_ACCOUNT; 
			}
			
			if(VopAccountType.VIP_ADS_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.VIP_ADS_ACCOUNT; 
			}
			
			if(VopAccountType.WXK_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.WXK_ACCOUNT; 
			}
			
			if(VopAccountType.OFFDIRECT_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.OFFDIRECT_ACCOUNT; 
			}
			
			if(VopAccountType.VIP_VRM_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.VIP_VRM_ACCOUNT; 
			}
			
			if(VopAccountType.VIP_VSM_ACCOUNT.ToString().Equals(name)){
				
				return VopAccountType.VIP_VSM_ACCOUNT; 
			}
			
			
			return null;
			
		}
		
	}
	
}