using System;

namespace com.vip.imp.otd.otdapi.service{
	
	
	public enum VopFundType {
		
		
		///<summary>
		/// 现金
		///</summary>
		FUND_TYPE_CASH = 1, 
		
		///<summary>
		/// 奖励金
		///</summary>
		FUND_TYPE_GIFT = 2, 
		
		///<summary>
		/// 信用金
		///</summary>
		FUND_TYPE_CREDIT = 3 
	}
	
	public class VopFundTypeUtil{
		
		private readonly int value;
		private VopFundTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static VopFundType? FindByValue(int value){
			
			switch(value){
				
				case 1: return VopFundType.FUND_TYPE_CASH; 
				case 2: return VopFundType.FUND_TYPE_GIFT; 
				case 3: return VopFundType.FUND_TYPE_CREDIT; 
				
				default: return null; 
				
			}
			
		}
		
		public static VopFundType? FindByName(string name){
			
			if(VopFundType.FUND_TYPE_CASH.ToString().Equals(name)){
				
				return VopFundType.FUND_TYPE_CASH; 
			}
			
			if(VopFundType.FUND_TYPE_GIFT.ToString().Equals(name)){
				
				return VopFundType.FUND_TYPE_GIFT; 
			}
			
			if(VopFundType.FUND_TYPE_CREDIT.ToString().Equals(name)){
				
				return VopFundType.FUND_TYPE_CREDIT; 
			}
			
			
			return null;
			
		}
		
	}
	
}