using System;

namespace com.vip.osp.category.api.comm{
	
	
	public enum AttributeFlag {
		
		
		///<summary>
		/// SPU关键属性
		///</summary>
		SPU_Attr = 0, 
		
		///<summary>
		/// SKU销售属性
		///</summary>
		SKU_Attr = 1, 
		
		///<summary>
		/// 描述属性
		///</summary>
		Desc_Attr = 2, 
		
		///<summary>
		/// 可录入别名
		///</summary>
		SupportAliases = 3, 
		
		///<summary>
		/// 必填属性
		///</summary>
		Required = 4, 
		
		///<summary>
		/// 多值属性
		///</summary>
		MultiValue = 5, 
		
		///<summary>
		/// SSU搜索聚合属性，保留
		///</summary>
		SSU_Attr = 6, 
		
		///<summary>
		/// 可作为基本搜索条件
		///</summary>
		PrimaryRedefinable = 7, 
		
		///<summary>
		/// 可作为高级搜索条件
		///</summary>
		AdvanceRedefinable = 8 
	}
	
	public class AttributeFlagUtil{
		
		private readonly int value;
		private AttributeFlagUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static AttributeFlag? FindByValue(int value){
			
			switch(value){
				
				case 0: return AttributeFlag.SPU_Attr; 
				case 1: return AttributeFlag.SKU_Attr; 
				case 2: return AttributeFlag.Desc_Attr; 
				case 3: return AttributeFlag.SupportAliases; 
				case 4: return AttributeFlag.Required; 
				case 5: return AttributeFlag.MultiValue; 
				case 6: return AttributeFlag.SSU_Attr; 
				case 7: return AttributeFlag.PrimaryRedefinable; 
				case 8: return AttributeFlag.AdvanceRedefinable; 
				
				default: return null; 
				
			}
			
		}
		
		public static AttributeFlag? FindByName(string name){
			
			if(AttributeFlag.SPU_Attr.ToString().Equals(name)){
				
				return AttributeFlag.SPU_Attr; 
			}
			
			if(AttributeFlag.SKU_Attr.ToString().Equals(name)){
				
				return AttributeFlag.SKU_Attr; 
			}
			
			if(AttributeFlag.Desc_Attr.ToString().Equals(name)){
				
				return AttributeFlag.Desc_Attr; 
			}
			
			if(AttributeFlag.SupportAliases.ToString().Equals(name)){
				
				return AttributeFlag.SupportAliases; 
			}
			
			if(AttributeFlag.Required.ToString().Equals(name)){
				
				return AttributeFlag.Required; 
			}
			
			if(AttributeFlag.MultiValue.ToString().Equals(name)){
				
				return AttributeFlag.MultiValue; 
			}
			
			if(AttributeFlag.SSU_Attr.ToString().Equals(name)){
				
				return AttributeFlag.SSU_Attr; 
			}
			
			if(AttributeFlag.PrimaryRedefinable.ToString().Equals(name)){
				
				return AttributeFlag.PrimaryRedefinable; 
			}
			
			if(AttributeFlag.AdvanceRedefinable.ToString().Equals(name)){
				
				return AttributeFlag.AdvanceRedefinable; 
			}
			
			
			return null;
			
		}
		
	}
	
}