using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.osp.category.api.comm{
	
	
	
	
	
	public class Category {
		
		///<summary>
		/// 分类ID
		///</summary>
		
		private int? categoryId_;
		
		///<summary>
		/// 分类名称
		///</summary>
		
		private string name_;
		
		///<summary>
		/// 英文名称
		///</summary>
		
		private string englishname_;
		
		///<summary>
		/// 分类描述
		///</summary>
		
		private string description_;
		
		///<summary>
		/// 分类类型
		///</summary>
		
		private com.vip.osp.category.api.comm.CategoryType? type_;
		
		///<summary>
		/// 关键字
		///</summary>
		
		private string keywords_;
		
		///<summary>
		/// 标记位，用于后续扩展属性
		///</summary>
		
		private long? flags_;
		
		///<summary>
		/// 展示导航ID
		///</summary>
		
		private int? hierarchyId_;
		
		///<summary>
		/// 最后变更时间, 获取变更的节点接口使用
		///</summary>
		
		private long? lastUpdateTime_;
		
		///<summary>
		/// 相关分类
		///</summary>
		
		private List<int?> relatedCategories_;
		
		///<summary>
		/// 子分类
		///</summary>
		
		private List<com.vip.osp.category.api.comm.Category> children_;
		
		///<summary>
		/// 分类映射
		///</summary>
		
		private List<com.vip.osp.category.api.comm.CategoryMapping> mapping_;
		
		///<summary>
		/// 主父分类
		///</summary>
		
		private int? majorParentCategoryid_;
		
		///<summary>
		/// 非主父分类
		///</summary>
		
		private List<int?> salveParentCategoryids_;
		
		///<summary>
		/// 分类属性
		///</summary>
		
		private List<com.vip.osp.category.api.comm.Attribute> attributes_;
		
		///<summary>
		/// 外国名称, 保存格式为JSON, add by chuping.zhai 2014-07-07
		///</summary>
		
		private string foreignname_;
		
		///<summary>
		/// 图片链接, add by chuping.zhai 2014-07-21
		///</summary>
		
		private string image_;
		
		///<summary>
		/// 目标链接地址, add by chuping.zhai 2015-03-04
		///</summary>
		
		private string linkaddress_;
		
		///<summary>
		/// 展示粒度状态位, add by chuping.zhai 2015-04-16
		///</summary>
		
		private int? flag_;
		
		///<summary>
		/// 最大售售卖数, add by apple01.liu on 2015/09/07
		///</summary>
		
		private int? maxsalenum_;
		
		///<summary>
		/// 最小售卖数, add by apple01.liu on 2015/09/07
		///</summary>
		
		private int? minisalenum_;
		
		///<summary>
		/// 展示模式  0:映射录入导航 1:URL链接 2:档期ID, add by apple01.liu on 2016/02/24
		///</summary>
		
		private int? showType_;
		
		///<summary>
		/// 档期ID, add by apple01.liu on 2016/02/24
		///</summary>
		
		private int? timeLineId_;
		
		///<summary>
		/// 分类关联的品牌
		///</summary>
		
		private com.vip.osp.category.api.comm.Brands brands_;
		
		///<summary>
		/// 展示导航二级分类属性交集属性值并集，格式：pid:vid;pid:vid; add by joe01.huang on 2016/03/29
		///</summary>
		
		private string subCatAttr_;
		
		///<summary>
		/// 展示分类标签条件属性，格式：pid:vid;pid:vid; add by chuping.zhai 20160919
		///</summary>
		
		private string tagFilter_;
		
		///<summary>
		/// 删除状态，add by chuping.zhai 20161128
		///</summary>
		
		private int? status_;
		
		///<summary>
		/// 主父分类，add by chuping.zhai 20161205
		///</summary>
		
		private com.vip.osp.category.api.comm.Parents majorParents_;
		
		///<summary>
		/// 从父分类，add by chuping.zhai 20161205
		///</summary>
		
		private List<com.vip.osp.category.api.comm.Parents> salveParents_;
		
		public int? GetCategoryId(){
			return this.categoryId_;
		}
		
		public void SetCategoryId(int? value){
			this.categoryId_ = value;
		}
		public string GetName(){
			return this.name_;
		}
		
		public void SetName(string value){
			this.name_ = value;
		}
		public string GetEnglishname(){
			return this.englishname_;
		}
		
		public void SetEnglishname(string value){
			this.englishname_ = value;
		}
		public string GetDescription(){
			return this.description_;
		}
		
		public void SetDescription(string value){
			this.description_ = value;
		}
		public com.vip.osp.category.api.comm.CategoryType? GetType(){
			return this.type_;
		}
		
		public void SetType(com.vip.osp.category.api.comm.CategoryType? value){
			this.type_ = value;
		}
		public string GetKeywords(){
			return this.keywords_;
		}
		
		public void SetKeywords(string value){
			this.keywords_ = value;
		}
		public long? GetFlags(){
			return this.flags_;
		}
		
		public void SetFlags(long? value){
			this.flags_ = value;
		}
		public int? GetHierarchyId(){
			return this.hierarchyId_;
		}
		
		public void SetHierarchyId(int? value){
			this.hierarchyId_ = value;
		}
		public long? GetLastUpdateTime(){
			return this.lastUpdateTime_;
		}
		
		public void SetLastUpdateTime(long? value){
			this.lastUpdateTime_ = value;
		}
		public List<int?> GetRelatedCategories(){
			return this.relatedCategories_;
		}
		
		public void SetRelatedCategories(List<int?> value){
			this.relatedCategories_ = value;
		}
		public List<com.vip.osp.category.api.comm.Category> GetChildren(){
			return this.children_;
		}
		
		public void SetChildren(List<com.vip.osp.category.api.comm.Category> value){
			this.children_ = value;
		}
		public List<com.vip.osp.category.api.comm.CategoryMapping> GetMapping(){
			return this.mapping_;
		}
		
		public void SetMapping(List<com.vip.osp.category.api.comm.CategoryMapping> value){
			this.mapping_ = value;
		}
		public int? GetMajorParentCategoryid(){
			return this.majorParentCategoryid_;
		}
		
		public void SetMajorParentCategoryid(int? value){
			this.majorParentCategoryid_ = value;
		}
		public List<int?> GetSalveParentCategoryids(){
			return this.salveParentCategoryids_;
		}
		
		public void SetSalveParentCategoryids(List<int?> value){
			this.salveParentCategoryids_ = value;
		}
		public List<com.vip.osp.category.api.comm.Attribute> GetAttributes(){
			return this.attributes_;
		}
		
		public void SetAttributes(List<com.vip.osp.category.api.comm.Attribute> value){
			this.attributes_ = value;
		}
		public string GetForeignname(){
			return this.foreignname_;
		}
		
		public void SetForeignname(string value){
			this.foreignname_ = value;
		}
		public string GetImage(){
			return this.image_;
		}
		
		public void SetImage(string value){
			this.image_ = value;
		}
		public string GetLinkaddress(){
			return this.linkaddress_;
		}
		
		public void SetLinkaddress(string value){
			this.linkaddress_ = value;
		}
		public int? GetFlag(){
			return this.flag_;
		}
		
		public void SetFlag(int? value){
			this.flag_ = value;
		}
		public int? GetMaxsalenum(){
			return this.maxsalenum_;
		}
		
		public void SetMaxsalenum(int? value){
			this.maxsalenum_ = value;
		}
		public int? GetMinisalenum(){
			return this.minisalenum_;
		}
		
		public void SetMinisalenum(int? value){
			this.minisalenum_ = value;
		}
		public int? GetShowType(){
			return this.showType_;
		}
		
		public void SetShowType(int? value){
			this.showType_ = value;
		}
		public int? GetTimeLineId(){
			return this.timeLineId_;
		}
		
		public void SetTimeLineId(int? value){
			this.timeLineId_ = value;
		}
		public com.vip.osp.category.api.comm.Brands GetBrands(){
			return this.brands_;
		}
		
		public void SetBrands(com.vip.osp.category.api.comm.Brands value){
			this.brands_ = value;
		}
		public string GetSubCatAttr(){
			return this.subCatAttr_;
		}
		
		public void SetSubCatAttr(string value){
			this.subCatAttr_ = value;
		}
		public string GetTagFilter(){
			return this.tagFilter_;
		}
		
		public void SetTagFilter(string value){
			this.tagFilter_ = value;
		}
		public int? GetStatus(){
			return this.status_;
		}
		
		public void SetStatus(int? value){
			this.status_ = value;
		}
		public com.vip.osp.category.api.comm.Parents GetMajorParents(){
			return this.majorParents_;
		}
		
		public void SetMajorParents(com.vip.osp.category.api.comm.Parents value){
			this.majorParents_ = value;
		}
		public List<com.vip.osp.category.api.comm.Parents> GetSalveParents(){
			return this.salveParents_;
		}
		
		public void SetSalveParents(List<com.vip.osp.category.api.comm.Parents> value){
			this.salveParents_ = value;
		}
		
	}
	
}