using System;
using System.Collections.Generic;

namespace com.vip.osp.category.api.comm{
	
	
	public interface CategoryAPI {
		
		
		Dictionary<long?, com.vip.osp.category.api.comm.Qualification> batchGetQualifications( com.vip.osp.category.api.comm.ReqContext reqContext_,   List<long?> qualificationIds_ );
		
		List<com.vip.osp.category.api.comm.Attribute> getAttributeByTag( int tagType_,   bool? isIncludeOption_ );
		
		List<com.vip.osp.category.api.comm.BriefCategoryAttributes> getBriefCategoryAttributesByIds( List<int?> categoryIds_,   bool? isIncludeOption_ );
		
		com.vip.osp.category.api.comm.BriefCategory getBriefCategoryTree( int categoryId_,   bool? isIncludeChildren_,   List<com.vip.osp.category.api.comm.ResultFields?> resultFields_ );
		
		List<com.vip.osp.category.api.comm.Category> getCategories( string categoryids_ );
		
		List<com.vip.osp.category.api.comm.Attribute> getCategoriesAndChildrenAttributes( List<int?> categoryids_,   bool? isVendorProductAttribute_,   bool? isIncludeOption_ );
		
		com.vip.osp.category.api.comm.Category getCategory( int categoryId_ );
		
		List<com.vip.osp.category.api.comm.CategoryAttributeIds> getCategoryAttributeIdsByIds( List<int?> categoryIds_ );
		
		List<com.vip.osp.category.api.comm.Attribute> getCategoryAttributes( int categoryId_ );
		
		List<com.vip.osp.category.api.comm.Category> getCategoryByName( string name_,   int limit_ );
		
		List<com.vip.osp.category.api.comm.CategoryIdAndName> getCategoryIdAndNameList( List<int?> categoryids_ );
		
		List<com.vip.osp.category.api.comm.CategoryPath> getCategoryPath( int categoryId_ );
		
		com.vip.osp.category.api.comm.CategoryQuestionAnswerShort getCategoryQuestionAnswer( com.vip.osp.category.api.comm.ReqContext reqContext_,   int categoryId_ );
		
		List<com.vip.osp.category.api.comm.CategorySpecialAttributes> getCategorySpecialAttributeList( List<com.vip.osp.category.api.comm.CategorySpecialParam> categorySpecialParams_ );
		
		List<com.vip.osp.category.api.comm.AttributeWithValue> getCategorySpecialAttributes( int categoryId_,   int? attributeId_,   int? brandId_ );
		
		com.vip.osp.category.api.comm.Category getCategoryTree( int categoryId_ );
		
		com.vip.osp.category.api.comm.CategoryExchangedReason getExchangedReasonByCategoryId( int? categoryId_,   byte? reasonType_,   byte? isShow_,   string appId_,   Dictionary<string, string> flagsMap_ );
		
		List<com.vip.osp.category.api.comm.CategoryExchangedReason> getExchangedReasonListByCategoryIds( List<int?> categoryIdSet_,   byte? reasonType_,   byte? isShow_,   string appId_,   Dictionary<string, string> flagsMap_ );
		
		List<com.vip.osp.category.api.comm.ExchangedReason> getExchangedReasonListByIds( List<int?> reasonIdSet_,   string appId_ );
		
		string getHierachyFilterAttributes( int categoryId_ );
		
		List<com.vip.osp.category.api.comm.Category> getHierarchyCategoryTree( int hierarchyId_,   bool? isIncludeChildren_ );
		
		com.vip.osp.category.api.comm.HierarchyTopCategoryVre getHierarchyCategoryTreeForVre( int hierarchyId_ );
		
		List<com.vip.osp.category.api.comm.Category> getHierarchyCategroyidsByCategoryIds( int hierarchyId_,   List<int?> categoryIds_ );
		
		List<int?> getHierarchyIdsForVre();
		
		List<com.vip.osp.category.api.comm.HierarchyCategoryIdAndNames> getHierarchyLeafCategoryIdAndNameList( int hierarchyId_,   List<int?> categoryIds_ );
		
		List<com.vip.osp.category.api.comm.HierarchyTopCategoryIdAndNames> getHierarchyTopCategoryIdAndNameList( int hierarchyId_,   List<int?> categoryIds_ );
		
		List<com.vip.osp.category.api.comm.Category> getLeafCategoryByName( string name_,   int limit_ );
		
		List<com.vip.osp.category.api.comm.Category> getMultiCategories( List<int?> categoryids_,   bool? isIncludeChildren_,   bool? isIncludeAttribute_ );
		
		com.vip.osp.category.api.comm.Category getPublishCategoryTree( com.vip.osp.category.api.comm.ReqContext reqContext_,   int categoryId_,   com.vip.osp.category.api.comm.TreeOption? option_ );
		
		List<com.vip.osp.category.api.comm.Category> getPublishHierarchyCategoryTree( com.vip.osp.category.api.comm.ReqContext reqContext_,   com.vip.osp.category.api.comm.TreeOption? option_,   bool? isIncludeChildren_ );
		
		List<com.vip.osp.category.api.comm.CategoryTagAttribute> getTagByIds( List<int?> tagIds_ );
		
		List<com.vip.osp.category.api.comm.TagInfo> getTagInfoList( List<int?> tagSnList_ );
		
		List<com.vip.osp.category.api.comm.TagInfo> getTagsByTagType( com.vip.osp.category.api.comm.TagType? tagType_,   int curPage_,   int pageSize_ );
		
		com.vip.osp.category.api.comm.CategoryUpdates getUpdatedPublishCategories( long sinceUpdateTime_,   int hierarchyId_ );
		
		com.vip.hermes.core.health.CheckResult healthCheck();
		
		List<com.vip.osp.category.api.comm.Attribute> parseAttributes( int categoryId_,   List<com.vip.osp.category.api.comm.AttrOptIds> attrOptIdsList_ );
		
	}
	
}