using System;

namespace com.vip.osp.category.api.comm{
	
	
	public enum ForeignLanguage {
		
		
		///<summary>
		/// 中文
		///</summary>
		zh = 1, 
		
		///<summary>
		/// 日文
		///</summary>
		ja = 2, 
		
		///<summary>
		/// 韩文
		///</summary>
		ko = 3, 
		
		///<summary>
		/// 英文
		///</summary>
		en = 4, 
		
		///<summary>
		/// 法文
		///</summary>
		fr = 5, 
		
		///<summary>
		/// 德文
		///</summary>
		de = 6, 
		
		///<summary>
		/// 俄文
		///</summary>
		ru = 7, 
		
		///<summary>
		/// 意大利文
		///</summary>
		it = 8 
	}
	
	public class ForeignLanguageUtil{
		
		private readonly int value;
		private ForeignLanguageUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static ForeignLanguage? FindByValue(int value){
			
			switch(value){
				
				case 1: return ForeignLanguage.zh; 
				case 2: return ForeignLanguage.ja; 
				case 3: return ForeignLanguage.ko; 
				case 4: return ForeignLanguage.en; 
				case 5: return ForeignLanguage.fr; 
				case 6: return ForeignLanguage.de; 
				case 7: return ForeignLanguage.ru; 
				case 8: return ForeignLanguage.it; 
				
				default: return null; 
				
			}
			
		}
		
		public static ForeignLanguage? FindByName(string name){
			
			if(ForeignLanguage.zh.ToString().Equals(name)){
				
				return ForeignLanguage.zh; 
			}
			
			if(ForeignLanguage.ja.ToString().Equals(name)){
				
				return ForeignLanguage.ja; 
			}
			
			if(ForeignLanguage.ko.ToString().Equals(name)){
				
				return ForeignLanguage.ko; 
			}
			
			if(ForeignLanguage.en.ToString().Equals(name)){
				
				return ForeignLanguage.en; 
			}
			
			if(ForeignLanguage.fr.ToString().Equals(name)){
				
				return ForeignLanguage.fr; 
			}
			
			if(ForeignLanguage.de.ToString().Equals(name)){
				
				return ForeignLanguage.de; 
			}
			
			if(ForeignLanguage.ru.ToString().Equals(name)){
				
				return ForeignLanguage.ru; 
			}
			
			if(ForeignLanguage.it.ToString().Equals(name)){
				
				return ForeignLanguage.it; 
			}
			
			
			return null;
			
		}
		
	}
	
}