using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.osp.category.api.comm{
	
	
	
	
	
	public class Option {
		
		///<summary>
		/// 属性项ID/标签组SN
		///</summary>
		
		private int? attributeId_;
		
		///<summary>
		/// 选项ID/标签SN
		///</summary>
		
		private int? optionId_;
		
		///<summary>
		/// 选项名称/标签名称
		///</summary>
		
		private string name_;
		
		///<summary>
		/// 英文名称
		///</summary>
		
		private string englishname_;
		
		///<summary>
		/// 选项描述
		///</summary>
		
		private string description_;
		
		///<summary>
		/// 选项分组
		///</summary>
		
		private string hierarchyGroup_;
		
		///<summary>
		/// 排序因子
		///</summary>
		
		private int? sort_;
		
		///<summary>
		/// 父选项ID，为0表示都独立选项，否则为依赖选项
		///</summary>
		
		private int? parentOptionId_;
		
		///<summary>
		/// 是否为虚拟选项，虚拟选型是多个其它选型的聚合
		///</summary>
		
		private bool? isVirtual_;
		
		///<summary>
		/// 如果是虚拟选项，这里是其它需要聚合的多个选项
		///</summary>
		
		private List<int?> realOptions_;
		
		///<summary>
		/// 外国名称, 保存格式为JSON, add by chuping.zhai 2014-07-07
		///</summary>
		
		private string foreignname_;
		
		///<summary>
		/// 选项外部信息, 保存格式为JSON, add by chuping.zhai 2014-07-07
		///</summary>
		
		private string externaldata_;
		
		///<summary>
		/// 选项别名 add by chuping.zhai 2014-10-22
		///</summary>
		
		private string aliases_;
		
		///<summary>
		/// 属性值（文本/数值/布尔）add by chuping.zhai 2014-10-22
		///</summary>
		
		private string literal_;
		
		///<summary>
		/// 属性值解析是否成功标识。false：失败，true：成功 add by chuping.zhai 2014-10-22
		///</summary>
		
		private bool? flag_;
		
		///<summary>
		/// 备注信息  add by chuping.zhai 2014-12-25
		///</summary>
		
		private List<string> remarks_;
		
		///<summary>
		/// 有效开始时间 ,优先取标签的开始时间，如果为空，再取标签组的开始时间add by david.jiang 20170621
		///</summary>
		
		private long? startTime_;
		
		///<summary>
		/// 有效结束时间,优先取标签的结束时间，如果为空，再取标签组的结束时间add by david.jiang 20170621
		///</summary>
		
		private long? endTime_;
		
		public int? GetAttributeId(){
			return this.attributeId_;
		}
		
		public void SetAttributeId(int? value){
			this.attributeId_ = value;
		}
		public int? GetOptionId(){
			return this.optionId_;
		}
		
		public void SetOptionId(int? value){
			this.optionId_ = value;
		}
		public string GetName(){
			return this.name_;
		}
		
		public void SetName(string value){
			this.name_ = value;
		}
		public string GetEnglishname(){
			return this.englishname_;
		}
		
		public void SetEnglishname(string value){
			this.englishname_ = value;
		}
		public string GetDescription(){
			return this.description_;
		}
		
		public void SetDescription(string value){
			this.description_ = value;
		}
		public string GetHierarchyGroup(){
			return this.hierarchyGroup_;
		}
		
		public void SetHierarchyGroup(string value){
			this.hierarchyGroup_ = value;
		}
		public int? GetSort(){
			return this.sort_;
		}
		
		public void SetSort(int? value){
			this.sort_ = value;
		}
		public int? GetParentOptionId(){
			return this.parentOptionId_;
		}
		
		public void SetParentOptionId(int? value){
			this.parentOptionId_ = value;
		}
		public bool? GetIsVirtual(){
			return this.isVirtual_;
		}
		
		public void SetIsVirtual(bool? value){
			this.isVirtual_ = value;
		}
		public List<int?> GetRealOptions(){
			return this.realOptions_;
		}
		
		public void SetRealOptions(List<int?> value){
			this.realOptions_ = value;
		}
		public string GetForeignname(){
			return this.foreignname_;
		}
		
		public void SetForeignname(string value){
			this.foreignname_ = value;
		}
		public string GetExternaldata(){
			return this.externaldata_;
		}
		
		public void SetExternaldata(string value){
			this.externaldata_ = value;
		}
		public string GetAliases(){
			return this.aliases_;
		}
		
		public void SetAliases(string value){
			this.aliases_ = value;
		}
		public string GetLiteral(){
			return this.literal_;
		}
		
		public void SetLiteral(string value){
			this.literal_ = value;
		}
		public bool? GetFlag(){
			return this.flag_;
		}
		
		public void SetFlag(bool? value){
			this.flag_ = value;
		}
		public List<string> GetRemarks(){
			return this.remarks_;
		}
		
		public void SetRemarks(List<string> value){
			this.remarks_ = value;
		}
		public long? GetStartTime(){
			return this.startTime_;
		}
		
		public void SetStartTime(long? value){
			this.startTime_ = value;
		}
		public long? GetEndTime(){
			return this.endTime_;
		}
		
		public void SetEndTime(long? value){
			this.endTime_ = value;
		}
		
	}
	
}