using System;

namespace com.vip.product.change.service{
	
	
	public enum UpdateType {
		
		
		///<summary>
		/// WMS
		///</summary>
		WMS = 0, 
		
		///<summary>
		/// EBS
		///</summary>
		EBS = 1, 
		
		///<summary>
		/// HXERP
		///</summary>
		HXERP = 2, 
		
		///<summary>
		/// GPDC4EBS
		///</summary>
		GPDC4EBS = 3 
	}
	
	public class UpdateTypeUtil{
		
		private readonly int value;
		private UpdateTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static UpdateType? FindByValue(int value){
			
			switch(value){
				
				case 0: return UpdateType.WMS; 
				case 1: return UpdateType.EBS; 
				case 2: return UpdateType.HXERP; 
				case 3: return UpdateType.GPDC4EBS; 
				
				default: return null; 
				
			}
			
		}
		
		public static UpdateType? FindByName(string name){
			
			if(UpdateType.WMS.ToString().Equals(name)){
				
				return UpdateType.WMS; 
			}
			
			if(UpdateType.EBS.ToString().Equals(name)){
				
				return UpdateType.EBS; 
			}
			
			if(UpdateType.HXERP.ToString().Equals(name)){
				
				return UpdateType.HXERP; 
			}
			
			if(UpdateType.GPDC4EBS.ToString().Equals(name)){
				
				return UpdateType.GPDC4EBS; 
			}
			
			
			return null;
			
		}
		
	}
	
}