using System;

namespace com.vip.svip.osp.service{
	
	
	public enum CloseType {
		
		
		///<summary>
		/// 正常结束合约（到期）
		///</summary>
		CONTRACT_EXPIRED = 1, 
		
		///<summary>
		/// 主动解约
		///</summary>
		CONTRACT_TERMINATE = 2, 
		
		///<summary>
		/// 风控清退
		///</summary>
		CONTRACT_TERMINATE_FDS = 3 
	}
	
	public class CloseTypeUtil{
		
		private readonly int value;
		private CloseTypeUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static CloseType? FindByValue(int value){
			
			switch(value){
				
				case 1: return CloseType.CONTRACT_EXPIRED; 
				case 2: return CloseType.CONTRACT_TERMINATE; 
				case 3: return CloseType.CONTRACT_TERMINATE_FDS; 
				
				default: return null; 
				
			}
			
		}
		
		public static CloseType? FindByName(string name){
			
			if(CloseType.CONTRACT_EXPIRED.ToString().Equals(name)){
				
				return CloseType.CONTRACT_EXPIRED; 
			}
			
			if(CloseType.CONTRACT_TERMINATE.ToString().Equals(name)){
				
				return CloseType.CONTRACT_TERMINATE; 
			}
			
			if(CloseType.CONTRACT_TERMINATE_FDS.ToString().Equals(name)){
				
				return CloseType.CONTRACT_TERMINATE_FDS; 
			}
			
			
			return null;
			
		}
		
	}
	
}