using System;
using System.Collections.Generic;
using System.Text;
using Osp.Sdk.Base;
using Osp.Sdk.Protocol;
using Osp.Sdk.Exception;
namespace com.vip.svip.osp.service{
	
	
	
	public class UserMonthCardInfoHelper : TBeanSerializer<UserMonthCardInfo>
	{
		
		public static UserMonthCardInfoHelper OBJ = new UserMonthCardInfoHelper();
		
		public static UserMonthCardInfoHelper getInstance() {
			
			return OBJ;
		}
		
		
		public void Read(UserMonthCardInfo structs, Protocol iprot){
			
			
			String schemeStruct = iprot.ReadStructBegin();
			if(schemeStruct != null){
				
				while(true){
					
					String schemeField = iprot.ReadFieldBegin();
					if (schemeField == null) break;
					bool needSkip = true;
					
					
					if ("actCode".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetActCode(value);
					}
					
					
					
					
					
					if ("vpId".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetVpId(value);
					}
					
					
					
					
					
					if ("day".Equals(schemeField.Trim())){
						
						needSkip = false;
						int value;
						value = iprot.ReadI32(); 
						
						structs.SetDay(value);
					}
					
					
					
					
					
					if ("endTime".Equals(schemeField.Trim())){
						
						needSkip = false;
						System.DateTime? value;
						value = Osp.Sdk.Util.TimeUtil.FromUnixTime(iprot.ReadI64()); 
						
						structs.SetEndTime(value);
					}
					
					
					
					
					
					if ("totalAmount".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetTotalAmount(value);
					}
					
					
					
					
					
					if ("status".Equals(schemeField.Trim())){
						
						needSkip = false;
						int? value;
						value = iprot.ReadI32(); 
						
						structs.SetStatus(value);
					}
					
					
					
					
					
					if ("isSvip".Equals(schemeField.Trim())){
						
						needSkip = false;
						bool? value;
						value = iprot.ReadBool();
						
						structs.SetIsSvip(value);
					}
					
					
					
					
					
					if ("marketPrice".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetMarketPrice(value);
					}
					
					
					
					
					
					if ("salesPrice".Equals(schemeField.Trim())){
						
						needSkip = false;
						string value;
						value = iprot.ReadString();
						
						structs.SetSalesPrice(value);
					}
					
					
					
					
					
					if ("couponInfoList".Equals(schemeField.Trim())){
						
						needSkip = false;
						List<com.vip.svip.osp.service.MonthCardUserCoupon> value;
						
						value = new List<com.vip.svip.osp.service.MonthCardUserCoupon>();
						iprot.ReadListBegin();
						while(true){
							
							try{
								
								com.vip.svip.osp.service.MonthCardUserCoupon elem0;
								
								elem0 = new com.vip.svip.osp.service.MonthCardUserCoupon();
								com.vip.svip.osp.service.MonthCardUserCouponHelper.getInstance().Read(elem0, iprot);
								
								value.Add(elem0);
							}
							catch(Exception e){
								
								
								break;
							}
						}
						
						iprot.ReadListEnd();
						
						structs.SetCouponInfoList(value);
					}
					
					
					
					
					if(needSkip){
						
						ProtocolUtil.skip(iprot);
					}
					
					iprot.ReadFieldEnd();
				}
				
				iprot.ReadStructEnd();
				Validate(structs);
			}
			else{
				
				throw new OspException();
			}
			
			
		}
		
		
		public void Write(UserMonthCardInfo structs, Protocol oprot){
			
			Validate(structs);
			oprot.WriteStructBegin();
			
			if(structs.GetActCode() != null) {
				
				oprot.WriteFieldBegin("actCode");
				oprot.WriteString(structs.GetActCode());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetVpId() != null) {
				
				oprot.WriteFieldBegin("vpId");
				oprot.WriteString(structs.GetVpId());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetDay() != null) {
				
				oprot.WriteFieldBegin("day");
				oprot.WriteI32((int)structs.GetDay()); 
				
				oprot.WriteFieldEnd();
			}
			
			else{
				throw new ArgumentException("day can not be null!");
			}
			
			
			if(structs.GetEndTime() != null) {
				
				oprot.WriteFieldBegin("endTime");
				oprot.WriteI64(Osp.Sdk.Util.TimeUtil.ToUnixTime((System.DateTime)structs.GetEndTime())); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetTotalAmount() != null) {
				
				oprot.WriteFieldBegin("totalAmount");
				oprot.WriteI32((int)structs.GetTotalAmount()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetStatus() != null) {
				
				oprot.WriteFieldBegin("status");
				oprot.WriteI32((int)structs.GetStatus()); 
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetIsSvip() != null) {
				
				oprot.WriteFieldBegin("isSvip");
				oprot.WriteBool((bool)structs.GetIsSvip());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetMarketPrice() != null) {
				
				oprot.WriteFieldBegin("marketPrice");
				oprot.WriteString(structs.GetMarketPrice());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetSalesPrice() != null) {
				
				oprot.WriteFieldBegin("salesPrice");
				oprot.WriteString(structs.GetSalesPrice());
				
				oprot.WriteFieldEnd();
			}
			
			
			if(structs.GetCouponInfoList() != null) {
				
				oprot.WriteFieldBegin("couponInfoList");
				
				oprot.WriteListBegin();
				foreach(com.vip.svip.osp.service.MonthCardUserCoupon _item0 in structs.GetCouponInfoList()){
					
					
					com.vip.svip.osp.service.MonthCardUserCouponHelper.getInstance().Write(_item0, oprot);
					
				}
				
				oprot.WriteListEnd();
				
				oprot.WriteFieldEnd();
			}
			
			
			oprot.WriteFieldStop();
			oprot.WriteStructEnd();
		}
		
		
		public void Validate(UserMonthCardInfo bean){
			
			
		}
		
	}
	
}