using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.vis.workflow.service.shipReset{
	
	
	
	
	
	public class GetShipResetWorkflowRequest {
		
		///<summary>
		/// 请求系统，如：VOP
		///</summary>
		
		private string system_;
		
		///<summary>
		/// 供应商ID
		///</summary>
		
		private int? vendorId_;
		
		///<summary>
		/// 工单号集合。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///最大支持50个。
		///当工单号或订单号存在时，时间段查询无效。
		///当工单号和订单号同时存在时，取并集。
		///</summary>
		
		private List<string> workflowSnList_;
		
		///<summary>
		/// 订单号集合。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///最大支持50个。
		///</summary>
		
		private List<string> orderSnList_;
		
		///<summary>
		/// 工单状态集合。
		///</summary>
		
		private List<int?> statusList_;
		
		///<summary>
		/// 查询开始时间。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///时间段最大支持两周，最早时间最早支持半年前
		/// @sampleValue startTime yyyy-MM-dd HH:mm:ss
		///</summary>
		
		private string startTime_;
		
		///<summary>
		/// 查询结束时间。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		/// @sampleValue endTime yyyy-MM-dd HH:mm:ss
		///</summary>
		
		private string endTime_;
		
		///<summary>
		/// 页码，请求分页时的第几页，从1开始
		///</summary>
		
		private int? page_;
		
		///<summary>
		/// 每页信息条数
		///</summary>
		
		private int? pageSize_;
		
		///<summary>
		/// JitX订单类型 1 - 普通JITX，2 - 自寄换JITX，3 - 预付JITX，4 - 揽换JITX，5 - 补寄JITX
		///</summary>
		
		private int? orderType_;
		
		public string GetSystem(){
			return this.system_;
		}
		
		public void SetSystem(string value){
			this.system_ = value;
		}
		public int? GetVendorId(){
			return this.vendorId_;
		}
		
		public void SetVendorId(int? value){
			this.vendorId_ = value;
		}
		public List<string> GetWorkflowSnList(){
			return this.workflowSnList_;
		}
		
		public void SetWorkflowSnList(List<string> value){
			this.workflowSnList_ = value;
		}
		public List<string> GetOrderSnList(){
			return this.orderSnList_;
		}
		
		public void SetOrderSnList(List<string> value){
			this.orderSnList_ = value;
		}
		public List<int?> GetStatusList(){
			return this.statusList_;
		}
		
		public void SetStatusList(List<int?> value){
			this.statusList_ = value;
		}
		public string GetStartTime(){
			return this.startTime_;
		}
		
		public void SetStartTime(string value){
			this.startTime_ = value;
		}
		public string GetEndTime(){
			return this.endTime_;
		}
		
		public void SetEndTime(string value){
			this.endTime_ = value;
		}
		public int? GetPage(){
			return this.page_;
		}
		
		public void SetPage(int? value){
			this.page_ = value;
		}
		public int? GetPageSize(){
			return this.pageSize_;
		}
		
		public void SetPageSize(int? value){
			this.pageSize_ = value;
		}
		public int? GetOrderType(){
			return this.orderType_;
		}
		
		public void SetOrderType(int? value){
			this.orderType_ = value;
		}
		
	}
	
}