using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.vis.workflow.service.shipReset{
	
	
	
	
	
	public class GetShipResetWorkflowVopRequest {
		
		///<summary>
		/// 供应商ID
		///</summary>
		
		private int? vendor_id_;
		
		///<summary>
		/// 工单号集合。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///最大支持50个。
		///当工单号或订单号存在时，时间段查询无效。
		///当工单号和订单号同时存在时，取并集。
		///</summary>
		
		private List<string> workflow_sn_list_;
		
		///<summary>
		/// 订单号集合。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///最大支持50个。
		///</summary>
		
		private List<string> order_sn_list_;
		
		///<summary>
		/// 工单状态集合。
		///</summary>
		
		private List<int?> status_list_;
		
		///<summary>
		/// 查询开始时间。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		///时间段最大支持两周，最早时间最早支持半年前
		/// @sampleValue start_time yyyy-MM-dd HH:mm:ss
		///</summary>
		
		private string start_time_;
		
		///<summary>
		/// 查询结束时间。工单号集合 / 订单号集合 / 时间段两个查询条件 需至少三选一
		/// @sampleValue end_time yyyy-MM-dd HH:mm:ss
		///</summary>
		
		private string end_time_;
		
		///<summary>
		/// 页码，请求分页时的第几页，从1开始
		///</summary>
		
		private int? page_;
		
		///<summary>
		/// 每页信息条数
		///</summary>
		
		private int? page_size_;
		
		public int? GetVendor_id(){
			return this.vendor_id_;
		}
		
		public void SetVendor_id(int? value){
			this.vendor_id_ = value;
		}
		public List<string> GetWorkflow_sn_list(){
			return this.workflow_sn_list_;
		}
		
		public void SetWorkflow_sn_list(List<string> value){
			this.workflow_sn_list_ = value;
		}
		public List<string> GetOrder_sn_list(){
			return this.order_sn_list_;
		}
		
		public void SetOrder_sn_list(List<string> value){
			this.order_sn_list_ = value;
		}
		public List<int?> GetStatus_list(){
			return this.status_list_;
		}
		
		public void SetStatus_list(List<int?> value){
			this.status_list_ = value;
		}
		public string GetStart_time(){
			return this.start_time_;
		}
		
		public void SetStart_time(string value){
			this.start_time_ = value;
		}
		public string GetEnd_time(){
			return this.end_time_;
		}
		
		public void SetEnd_time(string value){
			this.end_time_ = value;
		}
		public int? GetPage(){
			return this.page_;
		}
		
		public void SetPage(int? value){
			this.page_ = value;
		}
		public int? GetPage_size(){
			return this.page_size_;
		}
		
		public void SetPage_size(int? value){
			this.page_size_ = value;
		}
		
	}
	
}