using System;
using System.Collections.Generic;
using System.Text;

namespace com.vip.wpc.ospservice.vop.request{
	
	
	
	
	
	public class WpcOrderCreateRequest {
		
		///<summary>
		/// 地区ID
		///</summary>
		
		private string areaId_;
		
		///<summary>
		/// 时间戳（秒级）
		///</summary>
		
		private string timestamp_;
		
		///<summary>
		/// 开放平台appKey
		///</summary>
		
		private string vopChannelId_;
		
		///<summary>
		/// 代购编号
		///</summary>
		
		private string userNumber_;
		
		///<summary>
		/// sizeInfo 商品尺码信息,格式:{"sizeId",num},示例：{"6917924778591519937":1}
		///</summary>
		
		private string sizeInfo_;
		
		///<summary>
		/// 省份名称(如有传areaId，就不传该值，否则必传，二选一)
		///</summary>
		
		private string provinceName_;
		
		///<summary>
		/// 城市名称(如有传areaId，就不传该值，否则必传，二选一)
		///</summary>
		
		private string cityName_;
		
		///<summary>
		/// 县区名称(如有传areaId，就不传该值，否则必传，二选一)
		///</summary>
		
		private string areaName_;
		
		///<summary>
		/// 街道名称(如有传areaId，就不传该值，否则选传)
		///</summary>
		
		private string townName_;
		
		///<summary>
		/// 详细地址
		///</summary>
		
		private string address_;
		
		///<summary>
		/// 收货人姓名
		///</summary>
		
		private string consignee_;
		
		///<summary>
		/// 收货人手机号
		///</summary>
		
		private string mobile_;
		
		///<summary>
		/// 调用方的事务ID
		///</summary>
		
		private string traceId_;
		
		///<summary>
		/// 用户真实IP
		///</summary>
		
		private string clientIp_;
		
		///<summary>
		/// 渠道订单号
		///</summary>
		
		private string channelOrderSn_;
		
		///<summary>
		/// 优惠券sn，多个sn 用英文逗号分隔.
		///</summary>
		
		private string couponSns_;
		
		///<summary>
		/// 优惠券No集合json,[{"couponNo":1111111(优惠券No), "type" : "类型枚举:1 单品券(无门槛)", "goodsId": "6917924778591519937(type=1，才需要传，用于券和商品的绑定)"}] 
		///</summary>
		
		private string couponNoList_;
		
		///<summary>
		/// 是使用加密传输
		///</summary>
		
		private bool? isUseCipher_;
		
		///<summary>
		/// 详细地址加密, 加密类型:RSA2048
		///</summary>
		
		private string addressCipher_;
		
		///<summary>
		/// 收件人加密, 加密类型:RSA2048
		///</summary>
		
		private string consigneeCipher_;
		
		///<summary>
		/// 收件人手机号加密, 加密类型:RSA2048
		///</summary>
		
		private string mobileCipher_;
		
		public string GetAreaId(){
			return this.areaId_;
		}
		
		public void SetAreaId(string value){
			this.areaId_ = value;
		}
		public string GetTimestamp(){
			return this.timestamp_;
		}
		
		public void SetTimestamp(string value){
			this.timestamp_ = value;
		}
		public string GetVopChannelId(){
			return this.vopChannelId_;
		}
		
		public void SetVopChannelId(string value){
			this.vopChannelId_ = value;
		}
		public string GetUserNumber(){
			return this.userNumber_;
		}
		
		public void SetUserNumber(string value){
			this.userNumber_ = value;
		}
		public string GetSizeInfo(){
			return this.sizeInfo_;
		}
		
		public void SetSizeInfo(string value){
			this.sizeInfo_ = value;
		}
		public string GetProvinceName(){
			return this.provinceName_;
		}
		
		public void SetProvinceName(string value){
			this.provinceName_ = value;
		}
		public string GetCityName(){
			return this.cityName_;
		}
		
		public void SetCityName(string value){
			this.cityName_ = value;
		}
		public string GetAreaName(){
			return this.areaName_;
		}
		
		public void SetAreaName(string value){
			this.areaName_ = value;
		}
		public string GetTownName(){
			return this.townName_;
		}
		
		public void SetTownName(string value){
			this.townName_ = value;
		}
		public string GetAddress(){
			return this.address_;
		}
		
		public void SetAddress(string value){
			this.address_ = value;
		}
		public string GetConsignee(){
			return this.consignee_;
		}
		
		public void SetConsignee(string value){
			this.consignee_ = value;
		}
		public string GetMobile(){
			return this.mobile_;
		}
		
		public void SetMobile(string value){
			this.mobile_ = value;
		}
		public string GetTraceId(){
			return this.traceId_;
		}
		
		public void SetTraceId(string value){
			this.traceId_ = value;
		}
		public string GetClientIp(){
			return this.clientIp_;
		}
		
		public void SetClientIp(string value){
			this.clientIp_ = value;
		}
		public string GetChannelOrderSn(){
			return this.channelOrderSn_;
		}
		
		public void SetChannelOrderSn(string value){
			this.channelOrderSn_ = value;
		}
		public string GetCouponSns(){
			return this.couponSns_;
		}
		
		public void SetCouponSns(string value){
			this.couponSns_ = value;
		}
		public string GetCouponNoList(){
			return this.couponNoList_;
		}
		
		public void SetCouponNoList(string value){
			this.couponNoList_ = value;
		}
		public bool? GetIsUseCipher(){
			return this.isUseCipher_;
		}
		
		public void SetIsUseCipher(bool? value){
			this.isUseCipher_ = value;
		}
		public string GetAddressCipher(){
			return this.addressCipher_;
		}
		
		public void SetAddressCipher(string value){
			this.addressCipher_ = value;
		}
		public string GetConsigneeCipher(){
			return this.consigneeCipher_;
		}
		
		public void SetConsigneeCipher(string value){
			this.consigneeCipher_ = value;
		}
		public string GetMobileCipher(){
			return this.mobileCipher_;
		}
		
		public void SetMobileCipher(string value){
			this.mobileCipher_ = value;
		}
		
	}
	
}