using System;

namespace com.vip.xstore.order.common.pojo.vo{
	
	
	public enum Selector {
		
		
		///<summary>
		/// 查询主库
		///</summary>
		MASTER = 1, 
		
		///<summary>
		/// 查询从库
		///</summary>
		SLAVE = 2, 
		
		///<summary>
		/// 查询mycat
		///</summary>
		MYCAT = 3 
	}
	
	public class SelectorUtil{
		
		private readonly int value;
		private SelectorUtil(int value){
			this.value = value;
		}
		
		public int getValue() {
			return value;
		}
		
		
		public static Selector? FindByValue(int value){
			
			switch(value){
				
				case 1: return Selector.MASTER; 
				case 2: return Selector.SLAVE; 
				case 3: return Selector.MYCAT; 
				
				default: return null; 
				
			}
			
		}
		
		public static Selector? FindByName(string name){
			
			if(Selector.MASTER.ToString().Equals(name)){
				
				return Selector.MASTER; 
			}
			
			if(Selector.SLAVE.ToString().Equals(name)){
				
				return Selector.SLAVE; 
			}
			
			if(Selector.MYCAT.ToString().Equals(name)){
				
				return Selector.MYCAT; 
			}
			
			
			return null;
			
		}
		
	}
	
}