using System;
using System.Collections.Generic;
using System.Text;

namespace vipapis.jitx{
	
	
	
	
	
	public class QueryApplyWarehouseResultRequest {
		
		///<summary>
		/// 供应商id
		/// @sampleValue vendor_id 550
		///</summary>
		
		private int? vendor_id_;
		
		///<summary>
		/// 申请流水号（与查询时间二选一）
		///</summary>
		
		private List<string> batch_nos_;
		
		///<summary>
		/// 查询开始时间(yyyy-MM-dd HH:mm:ss)，可查询3个月内的数据
		/// @sampleValue create_time_start 2020-05-30 12:00:00
		///</summary>
		
		private string create_time_start_;
		
		///<summary>
		/// 查询结束时间(yyyy-MM-dd HH:mm:ss)，create_time_end-create_time_start最大不可超过30分钟
		/// @sampleValue create_time_end 2020-05-30 12:29:59
		///</summary>
		
		private string create_time_end_;
		
		///<summary>
		/// 审核状态列表 0-未审核，1-审核通过，2-审核不通过
		/// @sampleValue audit_status 0
		///</summary>
		
		private List<int?> audit_status_;
		
		///<summary>
		/// 页码，默认1
		/// @sampleValue page 1
		///</summary>
		
		private int? page_;
		
		///<summary>
		/// 每页的条数 默认 100（最大1000条）
		/// @sampleValue page_size 100
		///</summary>
		
		private int? page_size_;
		
		public int? GetVendor_id(){
			return this.vendor_id_;
		}
		
		public void SetVendor_id(int? value){
			this.vendor_id_ = value;
		}
		public List<string> GetBatch_nos(){
			return this.batch_nos_;
		}
		
		public void SetBatch_nos(List<string> value){
			this.batch_nos_ = value;
		}
		public string GetCreate_time_start(){
			return this.create_time_start_;
		}
		
		public void SetCreate_time_start(string value){
			this.create_time_start_ = value;
		}
		public string GetCreate_time_end(){
			return this.create_time_end_;
		}
		
		public void SetCreate_time_end(string value){
			this.create_time_end_ = value;
		}
		public List<int?> GetAudit_status(){
			return this.audit_status_;
		}
		
		public void SetAudit_status(List<int?> value){
			this.audit_status_ = value;
		}
		public int? GetPage(){
			return this.page_;
		}
		
		public void SetPage(int? value){
			this.page_ = value;
		}
		public int? GetPage_size(){
			return this.page_size_;
		}
		
		public void SetPage_size(int? value){
			this.page_size_ = value;
		}
		
	}
	
}